/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef INTEGRATE_H
#define INTEGRATE_H

#include "system.h"

class Integrate : public System {
 public:
  double **f_pair;              // used by pairs to compute force & virial
  int maxpair;

  Integrate(int, char **) {}
  virtual ~Integrate() {}
  virtual void init() = 0;
  virtual void setup() = 0;
  virtual void run() = 0;
  virtual void iterate(int) = 0;
};

#endif
