/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef PRESSURE_H
#define PRESSURE_H

#include "system.h"

class Pressure : public System {
 public:
  double virial[6];
  double p_component[3];
  double p_total;

  Pressure() {}
  ~Pressure() {}
  void init();
  void compute(double);

 private:
  double boltz,nktv2p,dof;
  int shakeflag;
  int rigidflag;
  double *shake_virial;
  double *rigid_virial;
};

#endif
