/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef TEMPERATURE_H
#define TEMPERATURE_H

#include "system.h"

class Temperature : public System {
 public:
  char *id,*style;
  int igroup,groupbit;
  double dof;

  double tfactor,ncount;
  int extra_dof,fix_dof;

  int scaleflag;
  double xscale,yscale,zscale;

  Temperature(int, char **);
  virtual ~Temperature();
  void modify_params(int, char **);
  void count_atoms();
  void count_fix();
  virtual void init() = 0;
  virtual double compute() = 0;

 private:
  void options(int, char **);
};

#endif
