/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef THERMO_H
#define THERMO_H

#include "system.h"

class Temperature;

class Thermo : public System {
 public:
  char *style;
  int normflag,normuser;
  int lostflag,lostbefore;
  int flush_flag;
  int volflag;
  Temperature *temperature;

  double eng_pe;

  Thermo(char *);
  virtual ~Thermo();
  void init();
  double lost_check();
  void modify_params(int, char **);
  virtual void init_style() {}
  virtual void header() {}
  virtual void compute(int) = 0;
};

#endif
