/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef THERMO_ONE_H
#define THERMO_ONE_H

#include "thermo.h"

class Pressure;

class ThermoOne : public Thermo {
 public:
  ThermoOne(char *);
  ~ThermoOne();
  void header();
  void compute(int);

 private:
  int me;
  char *format,*format_volume;
  Pressure *pressure;
};

#endif
