/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef UPDATE_H
#define UPDATE_H

#include "system.h"
class Integrate;
//class Minimize;

class Update : public System {
 public:
  int ntimestep;                  // current timestep
  int nsteps;                     // # of steps to run
  int firststep,laststep;         // 1st & last timestep of run
  double dt; 
  int respa;                      // respa parameters
  double tolerance;               // minimizer tolerance
  int max_iter,max_eval;          // max outer iterations and force eval
  int whichflag;                  // 0 for time integration, 1 for minimization

  char *unit_style;

  Integrate *integrate;
  char *integrate_style;

  //Minimize *minimize;
  //char *minimize_style;

  Update();
  ~Update();
  void init();
  void set_units(char *);
  void create_integrate(int, char **);
  //void create_minimize(char *);
};

#endif
